itpp::Audio_Sample< enc_mulaw8 > Class Template Reference
Source Coding Module » Audio

uLaw-encoded Audio samples. More...

`#include <itpp/srccode/audiosample.h>`

## Public Types

typedef uint8_t | enc_sample_type

## Static Public Member Functions

static enc_sample_type | encode (const double &s)
static double | decode (const enc_sample_type &s)

## Static Public Attributes

static const std::size_t | enc_sample_size = sizeof(enc_sample_type)

## Detailed Description

### template<>
class itpp::Audio_Sample< enc_mulaw8 >

uLaw-encoded Audio samples.

Definition at line 105 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1